//+------------------------------------------------------------------+
//|                                               Step_Sound_v01.mq4 |
//+------------------------------------------------------------------+
#property copyright "Inkov Evgeni ew123@mail.ru"
#property link      "+7-988-140-68-11"
//+------------------------------------------------------------------+
#property version   "1.00"
#property indicator_chart_window
//----------------------------------
extern int  Step=5;
extern bool Comm=true;

//----------------------------------
double   pr;
int      pr_mod, pr_tek, pr_sound;
color    col;
//+------------------------------------------------------------------+
int deinit()
{
   ObjectDelete("Prg");
   return(0);
}
//+------------------------------------------------------------------+
int start()
{
   pr=NormalizeDouble(Bid/Point,0);
   pr_mod=MathMod(pr,Step);
   pr_tek=NormalizeDouble(pr-pr_mod,0);
   if (pr_sound==0)
   {
      pr_sound=pr_tek;
      col=Green;
   }
   if((pr_mod==0 || MathAbs(pr-pr_sound)>Step) && pr_sound!=pr_tek)
   {
      if (pr_tek>pr_sound)
      {
         PlaySound("alert2.wav");
         col=Green;
      }
      else
      {
         PlaySound("timeout.wav");
         col=Red;
      }
      pr_sound=pr_tek;
   }
   if (Comm)
   {
      string s=DoubleToStr(pr_sound*Point,Digits);
      if (pr_mod>0)
      {
         int n=NormalizeDouble(Bid/Point-pr_sound,0);
         if (n>0)s=s+"+";
         s=s+DoubleToStr(n,0);
      }
      put_txt("Prg",s,Bid,Time[0]+10*Period()*60,col);
   }
   else
      ObjectDelete("Prg");
   return(0);
}
//----------------------------------------------
void put_txt(string name, string Zn, double pr1, datetime t1,color col1)
{
   if (ObjectFind(name)<0)ObjectCreate(name, OBJ_TEXT, 0,0,0);
   ObjectSet(name, OBJPROP_PRICE1, pr1);
   ObjectSet(name, OBJPROP_TIME1,  t1);
   ObjectSetText(name, Zn, 10, "Arial Black", col1);
}
//----------------------------------------------

